@echo off
echo ***************************************
echo *   DVBViewer channel list installer  *
echo *                                     *
echo *    SettingsMaker by TechSat Team    *
echo *    http://www.techsat.info/forum    *
echo ***************************************
echo .

If not exist .\channels.dat (goto :nosf)
If not exist .\favourites.xml (goto :nosf)
If not exist .\Transponders (goto :nosf)
If not exist %ProgramData%\CMUV\DVBViewer\ (
	If not exist "%ALLUSERSPROFILE%\Application Data\CMUV\DVBViewer\" (
		If not exist "%ALLUSERSPROFILE%\Dati applicazioni\CMUV\DVBViewer\" (
			goto :nodf
		)
	)
)

If exist %ProgramData%\CMUV\DVBViewer\ (
	echo Windows Vista or Windows 7 Detected.
	xcopy /Y/Q .\channels.dat %ProgramData%\CMUV\DVBViewer\
	xcopy /Y/Q .\favourites.xml %ProgramData%\CMUV\DVBViewer\
	xcopy /Y/Q .\Transponders\*.ini %ProgramData%\CMUV\DVBViewer\Transponders\
	goto :end
)
If exist "%ALLUSERSPROFILE%\Application Data\CMUV\DVBViewer\" (
	echo Windows XP detected
	xcopy /Y/Q .\channels.dat "%ALLUSERSPROFILE%\Application Data\CMUV\DVBViewer\"
	xcopy /Y/Q .\favourites.xml "%ALLUSERSPROFILE%\Application Data\CMUV\DVBViewer\"
	xcopy /Y/Q .\Transponders\*.ini "%ALLUSERSPROFILE%\Application Data\CMUV\DVBViewer\Transponders\"
	goto :end
)
If exist "%ALLUSERSPROFILE%\Dati applicazioni\CMUV\DVBViewer\" (
	echo Windows XP ITA detected
	xcopy /Y/Q .\channels.dat "%ALLUSERSPROFILE%\Dati applicazioni\CMUV\DVBViewer\"
	xcopy /Y/Q .\favourites.xml "%ALLUSERSPROFILE%\Dati applicazioni\CMUV\DVBViewer\"
	xcopy /Y/Q .\Transponders\*.ini "%ALLUSERSPROFILE%\Dati applicazioni\CMUV\DVBViewer\Transponders\"
	goto :end
)

:nosf
	echo ***************************************
	echo *    Error! Source file not found     *
	echo *         Installation failed         *
	echo ***************************************
	PAUSE
	Exit

:nodf
	echo ***************************************
	echo * Error! Destination folder not found *
	echo *         Installation failed         *
	echo ***************************************
	PAUSE
	Exit

:end
	echo ***************************************
	echo *        Installation complete        *
	echo ***************************************
	PAUSE
